List active templates
GET
/api/v3/letters/templates/active
const url = 'https://api.tryletterhead.com/api/v3/letters/templates/active?api=true&channels%5B%5D=letterhead-example-newsletter';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/letters/templates/active?api=true&channels%5B%5D=letterhead-example-newsletter' \ --header 'Authorization: Bearer <token>'Using the v3 api, which requires a company-level API key, you can list all of your active newsletter templates.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” api
required
boolean
When set to true, this endpoint will accept authorization with your API Key.
channels[]
required
string
Example
letterhead-example-newsletterstring[] | An array of channel identifiers (or channel “slugs”).
Responses
Section titled “ Responses ”200 Active templates
Media type application/json
object
items
Array<object>
object
abTestUuid
string
abTestMetrics
Array<object>
object
automationUniqueId
string
blocks
Array<object>
object
brandName
string
brandSlug
string
campaignId
string
channelId
integer
channelName
string
channelSlug
string
claimant
string
createdAt
string
copyRendered
string
delta
string
deletedAt
string
esp
string
emailTemplate
string
hasAbTest
boolean
id
integer
includePromotions
boolean
insights
Array<object>
object
isClaimed
boolean
isCompanyLetter
boolean
openGraphImageUrl
string
openGraphHeadline
string
openGraphDescription
string
publicationDate
string
publicationDateOffset
string
publicationDateTzCode
string
publicationStatus
integer
publicationEvent
string
publishIntent
string
private
boolean
promotions
Array<object>
object
publishingRetries
integer
segmentId
integer
segmentName
string
settings
object
sharedChannels
Array<object>
object
subjectB
string
subtitle
string
title
string
updatedAt
string
uniqueId
string
useComposer
boolean
commentCount
integer
message
string
total
integer
Example
{ "items": [ { "abTestUuid": "", "abTestMetrics": [], "automationUniqueId": "", "blocks": [], "brandName": "My Brand", "brandSlug": "my-brand", "campaignId": "", "channelId": 123, "channelName": "My Channel", "channelSlug": "my-channel-slug", "claimant": "", "createdAt": "2026-01-15 10:00:00", "copyRendered": "", "delta": "", "deletedAt": null, "esp": "", "emailTemplate": "", "hasAbTest": false, "id": 456, "includePromotions": false, "insights": [], "isClaimed": false, "isCompanyLetter": true, "openGraphImageUrl": "", "openGraphHeadline": "", "openGraphDescription": "", "publicationDate": "", "publicationDateOffset": "", "publicationDateTzCode": "", "publicationStatus": 9, "publicationEvent": "", "publishIntent": "", "private": false, "promotions": [], "publishingRetries": 0, "segmentId": 0, "segmentName": "", "settings": {}, "sharedChannels": [], "subjectB": "", "subtitle": "Template subtitle", "title": "My Template", "updatedAt": "2026-02-20 14:30:00", "uniqueId": "abc-123-def-456", "useComposer": false, "commentCount": 0 } ], "message": "Active templates retrieved.", "total": 1}Still can’t find what you need? Contact support.